#include <stdio.h>
#include <stdlib.h>

short provera(short n, int l, int *h)
{
    int *p=h;
    for(short i=0;i<n;i++,p++){
        scanf("%d",p);
        if(l>=*p)
            return i+1;
    }
    return -1;
}

int main()
{
    short  n;
    int l;
    int *h=(int*)malloc(n*sizeof(int));
    scanf("%hd",&n);
    scanf("%d",&l);
    printf("%hd",provera(n,l,h));
    free(h);
    return 0;
}